#
# spec file for package speedtest-cli
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oname   speedtest_cli
Name:           speedtest-cli
Version:        2.1.3
Release:        bp156.3.2
Summary:        Command line interface for testing internet bandwidth
License:        Apache-2.0
Group:          System/Benchmark
URL:            https://github.com/sivel/speedtest-cli
Source0:        https://github.com/sivel/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  python3-base
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
BuildArch:      noarch

%description
Command line interface for testing internet bandwidth using
speedtest.net

%prep
%autosetup
sed -i -e '/^#!\//, 1d' *.py

%build
%python3_build

%install
%python3_install
install -Dpm 0644 %{name}.1 \
  %{buildroot}%{_mandir}/man1/%{name}.1
ln -s %{_mandir}/man1/%{name}.1 \
  %{buildroot}%{_mandir}/man1/speedtest.1

%files
%license LICENSE
%doc README.rst
%{_bindir}/speedtest
%{_bindir}/%{name}
%{_mandir}/man1/speedtest.1%{ext_man}
%{_mandir}/man1/%{name}.1%{ext_man}
%{python3_sitelib}/*

%changelog
* Fri Apr  9 2021 Pedro Monreal <pmonreal@suse.com>
- Update to version 2.1.3: [bsc#1184526]
  * Handle case where ignoreids is empty or contains empty ids
  * Ensure we catch HTTP errors on upload/download.
- Fix non-executable-script warning
* Tue Oct 22 2019 Martin Pluskal <mpluskal@suse.com>
- Update to version 2.1.2:
  * Prevent warnings on Python3.8
  * Fix proxy support
  * Fix --single to ensure threads are not started until a position in the queue is available
* Tue Mar 26 2019 Michal Svec <msvec@suse.com>
- Update to version 2.1.1:
  * Fix SSL support on Python2.4 and Python2.5
- Update to version 2.1.0:
  * Automatically resolve .best property
  * Pass Content-Length header with POST requests
  * Fix install instructions with git clone
  * Add functionality for single threaded testing
  * Add debug support to show if a URL request resulted in a redirect
  * Add the python version to the version output
  * Switch from platform.system to platform.platform when building the User-Agent header
  * Don't pass server_hostname to ssl.wrap_socket
  * ensure ERROR doesn't print an empty string
* Wed Mar  6 2019 Michal Svec <msvec@suse.com>
- Update to version 2.0.2:
  * Ensure we are utilizing the context created by HTTPSConnection, or falling back to ssl
- Changes for version 2.0.1:
  * Handle malformed XML responses
  * Ensure --share works with --csv
  * Fix SSL communication during latency tests on python 2.6 and older
  * Handle error where latitude and longitude from config are invalid
- Changes for version 2.0.0:
  * Redesigned Python API
  * Add option to exclude servers, and allow --server and --exclude to be specified multiple times
  * Address Exception issues
  * Print errors to stderr
  * Remove deprecated speedtest_cli.py
* Sun Nov 26 2017 mpluskal@suse.com
- Update to version 1.0.7:
  * Support using --csv-delimiter with --csv-header
* Fri Oct  6 2017 mpluskal@suse.com
- Update to version 1.0.6:
  * Ensure the UTC ISO8601 date includes a Z offset
  * Fix calculation of uploads to perform per size
  * Pre-allocate upload data, but allow to disable pre-allocation,
    for memory limited devices
- Changes for version 1.0.5:
  * Fixes for UTF-8 encoding of CSV output
* Fri Mar 24 2017 mpluskal@suse.com
- Update to version 1.0.2:
  * No upstream changelog available
* Wed Nov 23 2016 mpluskal@suse.com
- Update to version 1.0.0:
  * No upstream changelog available
* Tue Feb 16 2016 mpluskal@suse.com
- Switch to python3
* Mon Dec 21 2015 mpluskal@suse.com
- Update dependencies - boo#959814
* Sat Aug  8 2015 mpluskal@suse.com
- Follow python packaging guidelines
- Use setuptools for installation
* Thu Jul  2 2015 nemysis@gmx.ch
- Initial package creation
